> ## Documentation Index
> Fetch the complete documentation index at: https://useidalia.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create asset types

> Create asset types



## OpenAPI

````yaml /openapi.json post /asset-types
openapi: 3.0.0
info:
  title: Idalia API
  version: 1.0.0
  description: REST API for Idalia. Authenticate with an API key in the X-API-KEY header.
servers:
  - url: https://idalia.app/api
    description: Idalia API server
security: []
paths:
  /asset-types:
    post:
      tags:
        - Asset-types
      summary: Create asset types
      description: Create asset types
      operationId: createAssetTypes
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssetTypesCreateParams'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AssetTypeResponse'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AssetTypesCreateParams:
      type: array
      items:
        $ref: '#/components/schemas/CreateAssetTypeSchema'
    AssetTypeResponse:
      type: object
      properties:
        id:
          type: string
          description: ID of the asset type
        createdAt:
          type: string
          description: Datetime when the asset type was created
        updatedAt:
          type: string
          nullable: true
          description: Datetime when the asset type was last updated
        workspaceId:
          type: string
          nullable: true
          description: ID of the workspace the asset type belongs to
        updatedBy:
          type: string
          nullable: true
          description: ID of the user who last updated the asset type
        name:
          type: string
          description: Name of the asset type
        sku:
          type: string
          nullable: true
          description: ''
        notes:
          type: string
          nullable: true
          description: ''
        length:
          type: number
          nullable: true
          description: Length of the asset type in m
        width:
          type: number
          nullable: true
          description: Width of the asset type in m
        height:
          type: number
          nullable: true
          description: Height of the asset type in m
        mass:
          type: number
          nullable: true
          description: Mass of the asset type in m
        usefulLifeHours:
          type: number
          minimum: 0
          exclusiveMinimum: true
          nullable: true
          description: Expected useful life of this asset type, in hours
        externalIds:
          type: object
          additionalProperties:
            type: string
          nullable: true
          description: ''
        categoryId:
          type: string
          nullable: true
          description: ID of the category the asset type belongs to
        isAssembly:
          type: boolean
          default: false
          nullable: true
          description: >-
            Boolean true if the asset type represents an assembly otherwise
            false to represent a component
      required:
        - id
        - createdAt
        - name
    CreateAssetTypeSchema:
      type: object
      properties:
        updatedBy:
          type: string
          nullable: true
          description: ID of the user who last updated the asset type
        name:
          type: string
          description: Name of the asset type
        sku:
          type: string
          nullable: true
          description: ''
        notes:
          type: string
          nullable: true
          description: ''
        length:
          type: number
          nullable: true
          description: Length of the asset type in m
        width:
          type: number
          nullable: true
          description: Width of the asset type in m
        height:
          type: number
          nullable: true
          description: Height of the asset type in m
        mass:
          type: number
          nullable: true
          description: Mass of the asset type in m
        usefulLifeHours:
          type: number
          minimum: 0
          exclusiveMinimum: true
          nullable: true
          description: Expected useful life of this asset type, in hours
        externalIds:
          type: object
          additionalProperties:
            type: string
          nullable: true
          description: ''
        categoryId:
          type: string
          nullable: true
          description: ID of the category the asset type belongs to
        isAssembly:
          type: boolean
          default: false
          nullable: true
          description: >-
            Boolean true if the asset type represents an assembly otherwise
            false to represent a component
      required:
        - name
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Invalid request parameters
              code:
                type: string
                example: '400'
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Authentication required
              code:
                type: string
                example: '401'
    '403':
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Access denied
              code:
                type: string
                example: '403'
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: An unexpected error occurred
              code:
                type: string
                example: '500'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.